Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005163OCamltools (ocaml{lex,yacc,dep,debug,...})public2010-10-05 15:032016-12-14 14:47
Reporterglondu 
Assigned Togasche 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.12.1+dev 
Target VersionFixed in Version4.05.0 +dev/beta1/beta2/beta3/rc1 
Summary0005163: objinfo: dump globals defined in bytecode executables
DescriptionAttached is a patch that adds the list of defined symbols of a bytecode executable in objinfo output.
Tagspatch
Attached Filespatch file icon 0001-objinfo-dump-globals-defined-in-bytecode-executables.patch [^] (2,578 bytes) 2010-10-05 15:03 [Show Content]

- Relationships

-  Notes
(0016970)
gasche (developer)
2016-12-12 16:51

I absolutely forgot about this patch but I think that it is fine: the change is very small and non-invasive, it builds on information that was already present. I don't see any reason why *not* to have this information if it was useful to St├ęphane, so I'm thinking of merging it in trunk (with a Changelog, etc.).
(0017000)
gasche (developer)
2016-12-14 14:47

Merged in trunk ( 7c6c1f362490855fbc960482eb18af5e593bced3 ). Thanks for the patch!

- Issue History
Date Modified Username Field Change
2010-10-05 15:03 glondu New Issue
2010-10-05 15:03 glondu File Added: 0001-objinfo-dump-globals-defined-in-bytecode-executables.patch
2011-05-20 15:52 doligez Status new => acknowledged
2013-07-28 22:49 gasche Assigned To => gasche
2013-07-28 22:49 gasche Status acknowledged => assigned
2013-10-07 16:18 doligez Tag Attached: patch
2016-12-12 16:46 shinwell Category OCaml general => OCaml tools (ocaml{lex,yacc,dep,debug})
2016-12-12 16:51 gasche Note Added: 0016970
2016-12-14 14:47 gasche Note Added: 0017000
2016-12-14 14:47 gasche Status assigned => resolved
2016-12-14 14:47 gasche Fixed in Version => 4.05.0 +dev/beta1/beta2/beta3/rc1
2016-12-14 14:47 gasche Resolution open => fixed
2017-02-23 16:45 doligez Category OCaml tools (ocaml{lex,yacc,dep,debug}) => tools (ocaml{lex,yacc,dep,debug,...})


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker